## pilot-link-0.12.2.tar.bz2

=== bindings/Perl/Makefile ===
# This Makefile is for the PDA::Pilot extension to perl.
#
# It was generated automatically by MakeMaker version
# 6.30_01 (Revision: Revision: 4535 ) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#       ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: ()
#
#   MakeMaker Parameters:

#     DEFINE => q[-DPERL_POLLUTE]
#     INC => q[-I../../include]
#     INSTALLDIRS => q[vendor]
#     NAME => q[PDA::Pilot]
#     PREFIX => q[/usr/local]
#     VERSION => q[0.12.2]
#     XSPROTOARG => q[-noprototypes]
#     clean => { FILES=>q[const-c.inc const-xs.inc] }
#     depend => { Pilot.c=>q[const-c.inc const-xs.inc] }
#     dynamic_lib => { OTHERLDFLAGS=>q[-L../../libpisock/.libs -lpisock] }

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /usr/lib/perl/5.8/Config.pm)

# They may have been overridden via Makefile.PL or on the command line
AR = ar
CC = cc
CCCDLFLAGS = -fPIC
CCDLFLAGS = -Wl,-E
DLEXT = so
DLSRC = dl_dlopen.xs
LD = cc
LDDLFLAGS = -shared -L/usr/local/lib
LDFLAGS =  -L/usr/local/lib
LIBC = /lib/libc-2.4.so
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = linux
OSVERS = 2.6.15.7
RANLIB = :
SITELIBEXP = /usr/local/share/perl/5.8.8
SITEARCHEXP = /usr/local/lib/perl/5.8.8
SO = so
EXE_EXT = 
FULL_AR = /usr/bin/ar
VENDORARCHEXP = /usr/lib/perl5
VENDORLIBEXP = /usr/share/perl5


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
DIRFILESEP = /
DFSEP = $(DIRFILESEP)
NAME = PDA::Pilot
NAME_SYM = PDA_Pilot
VERSION = 0.12.2
VERSION_MACRO = VERSION
VERSION_SYM = 0_12_2
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION = 0.12.2
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
INST_ARCHLIB = blib/arch
INST_SCRIPT = blib/script
INST_BIN = blib/bin
INST_LIB = blib/lib
INST_MAN1DIR = blib/man1
INST_MAN3DIR = blib/man3
MAN1EXT = 1p
MAN3EXT = 3pm
INSTALLDIRS = vendor
DESTDIR = 
PREFIX = /usr/local
PERLPREFIX = $(PREFIX)
SITEPREFIX = $(PREFIX)
VENDORPREFIX = $(PREFIX)
INSTALLPRIVLIB = $(PERLPREFIX)/share/perl/5.8
DESTINSTALLPRIVLIB = $(DESTDIR)$(INSTALLPRIVLIB)
INSTALLSITELIB = $(SITEPREFIX)/share/perl/5.8.8
DESTINSTALLSITELIB = $(DESTDIR)$(INSTALLSITELIB)
INSTALLVENDORLIB = $(VENDORPREFIX)/share/perl5
DESTINSTALLVENDORLIB = $(DESTDIR)$(INSTALLVENDORLIB)
INSTALLARCHLIB = $(PERLPREFIX)/lib/perl/5.8
DESTINSTALLARCHLIB = $(DESTDIR)$(INSTALLARCHLIB)
INSTALLSITEARCH = $(SITEPREFIX)/lib/perl/5.8.8
DESTINSTALLSITEARCH = $(DESTDIR)$(INSTALLSITEARCH)
INSTALLVENDORARCH = $(VENDORPREFIX)/lib/perl5
DESTINSTALLVENDORARCH = $(DESTDIR)$(INSTALLVENDORARCH)
INSTALLBIN = $(PERLPREFIX)/bin
DESTINSTALLBIN = $(DESTDIR)$(INSTALLBIN)
INSTALLSITEBIN = $(SITEPREFIX)/bin
DESTINSTALLSITEBIN = $(DESTDIR)$(INSTALLSITEBIN)
INSTALLVENDORBIN = $(VENDORPREFIX)/bin
DESTINSTALLVENDORBIN = $(DESTDIR)$(INSTALLVENDORBIN)
INSTALLSCRIPT = $(PERLPREFIX)/bin
DESTINSTALLSCRIPT = $(DESTDIR)$(INSTALLSCRIPT)
INSTALLSITESCRIPT = $(SITEPREFIX)/bin
DESTINSTALLSITESCRIPT = $(DESTDIR)$(INSTALLSITESCRIPT)
INSTALLVENDORSCRIPT = $(VENDORPREFIX)/bin
DESTINSTALLVENDORSCRIPT = $(DESTDIR)$(INSTALLVENDORSCRIPT)
INSTALLMAN1DIR = $(PERLPREFIX)/share/man/man1
DESTINSTALLMAN1DIR = $(DESTDIR)$(INSTALLMAN1DIR)
INSTALLSITEMAN1DIR = $(SITEPREFIX)/man/man1
DESTINSTALLSITEMAN1DIR = $(DESTDIR)$(INSTALLSITEMAN1DIR)
INSTALLVENDORMAN1DIR = $(VENDORPREFIX)/share/man/man1
DESTINSTALLVENDORMAN1DIR = $(DESTDIR)$(INSTALLVENDORMAN1DIR)
INSTALLMAN3DIR = $(PERLPREFIX)/share/man/man3
DESTINSTALLMAN3DIR = $(DESTDIR)$(INSTALLMAN3DIR)
INSTALLSITEMAN3DIR = $(SITEPREFIX)/man/man3
DESTINSTALLSITEMAN3DIR = $(DESTDIR)$(INSTALLSITEMAN3DIR)
INSTALLVENDORMAN3DIR = $(VENDORPREFIX)/share/man/man3
DESTINSTALLVENDORMAN3DIR = $(DESTDIR)$(INSTALLVENDORMAN3DIR)
PERL_LIB = /usr/share/perl/5.8
PERL_ARCHLIB = /usr/lib/perl/5.8
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKEFILE_OLD = Makefile.old
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = /usr/lib/perl/5.8/CORE
PERL = /usr/bin/perl
FULLPERL = /usr/bin/perl
ABSPERL = $(PERL)
PERLRUN = $(PERL)
FULLPERLRUN = $(FULLPERL)
ABSPERLRUN = $(ABSPERL)
PERLRUNINST = $(PERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULLPERLRUNINST = $(FULLPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
ABSPERLRUNINST = $(ABSPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
PERL_CORE = 0
PERM_RW = 644
PERM_RWX = 755

MAKEMAKER   = /usr/share/perl/5.8/ExtUtils/MakeMaker.pm
MM_VERSION  = 6.30_01
MM_REVISION = Revision: 4535 

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
FULLEXT = PDA/Pilot
BASEEXT = Pilot
PARENT_NAME = PDA
DLBASE = $(BASEEXT)
VERSION_FROM = 
INC = -I../../include
DEFINE = -DPERL_POLLUTE
OBJECT = $(BASEEXT)$(OBJ_EXT)
LDFROM = $(OBJECT)
LINKTYPE = dynamic
BOOTDEP = 

# Handy lists of source code files:
XS_FILES = Pilot.xs
C_FILES  = Pilot.c
O_FILES  = Pilot.o
H_FILES  = 
MAN1PODS = 
MAN3PODS = 

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIB)$(DFSEP)Config.pm $(PERL_INC)$(DFSEP)config.h

# Where to build things
INST_LIBDIR      = $(INST_LIB)/PDA
INST_ARCHLIBDIR  = $(INST_ARCHLIB)/PDA

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC      = $(INST_ARCHAUTODIR)/$(BASEEXT)$(LIB_EXT)
INST_DYNAMIC     = $(INST_ARCHAUTODIR)/$(DLBASE).$(DLEXT)
INST_BOOT        = $(INST_ARCHAUTODIR)/$(BASEEXT).bs

# Extra linker info
EXPORT_LIST        = 
PERL_ARCHIVE       = 
PERL_ARCHIVE_AFTER = 


TO_INST_PM = Pilot.pm \
	dump.pl

PM_TO_BLIB = dump.pl \
	$(INST_LIB)/PDA/dump.pl \
	Pilot.pm \
	$(INST_LIB)/PDA/Pilot.pm


# --- MakeMaker platform_constants section:
MM_Unix_VERSION = 1.50_01
PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc


# --- MakeMaker tool_autosplit section:
# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(ABSPERLRUN)  -e 'use AutoSplit;  autosplit($$ARGV[0], $$ARGV[1], 0, 1, 1)'



# --- MakeMaker tool_xsubpp section:

XSUBPPDIR = /usr/share/perl/5.8/ExtUtils
XSUBPP = $(XSUBPPDIR)$(DFSEP)xsubpp
XSUBPPRUN = $(PERLRUN) $(XSUBPP)
XSPROTOARG = -noprototypes
XSUBPPDEPS = /usr/share/perl/5.8/ExtUtils/typemap typemap $(XSUBPP)
XSUBPPARGS = -typemap /usr/share/perl/5.8/ExtUtils/typemap -typemap typemap
XSUBPP_EXTRA_ARGS = 


# --- MakeMaker tools_other section:
SHELL = /bin/sh
CHMOD = chmod
CP = cp
MV = mv
NOOP = $(SHELL) -c true
NOECHO = @
RM_F = rm -f
RM_RF = rm -rf
TEST_F = test -f
TOUCH = touch
UMASK_NULL = umask 0
DEV_NULL = > /dev/null 2>&1
MKPATH = $(ABSPERLRUN) "-MExtUtils::Command" -e mkpath
EQUALIZE_TIMESTAMP = $(ABSPERLRUN) "-MExtUtils::Command" -e eqtime
ECHO = echo
ECHO_N = echo -n
UNINST = 0
VERBINST = 0
MOD_INSTALL = $(ABSPERLRUN) -MExtUtils::Install -e 'install({@ARGV}, '\''$(VERBINST)'\'', 0, '\''$(UNINST)'\'');'
DOC_INSTALL = $(ABSPERLRUN) "-MExtUtils::Command::MM" -e perllocal_install
UNINSTALL = $(ABSPERLRUN) "-MExtUtils::Command::MM" -e uninstall
WARN_IF_OLD_PACKLIST = $(ABSPERLRUN) "-MExtUtils::Command::MM" -e warn_if_old_packlist
MACROSTART = 
MACROEND = 
USEMAKEFILE = -f
FIXIN = $(PERLRUN) "-MExtUtils::MY" -e "MY->fixin(shift)"


# --- MakeMaker makemakerdflt section:
makemakerdflt: all
	$(NOECHO) $(NOOP)


# --- MakeMaker dist section:
TAR = tar
TARFLAGS = cvf
ZIP = zip
ZIPFLAGS = -r
COMPRESS = gzip --best
SUFFIX = .gz
SHAR = shar
PREOP = $(NOECHO) $(NOOP)
POSTOP = $(NOECHO) $(NOOP)
TO_UNIX = $(NOECHO) $(NOOP)
CI = ci -u
RCS_LABEL = rcs -Nv$(VERSION_SYM): -q
DIST_CP = best
DIST_DEFAULT = tardist
DISTNAME = PDA-Pilot
DISTVNAME = PDA-Pilot-0.12.2


# --- MakeMaker macro section:


# --- MakeMaker depend section:
Pilot.c : const-c.inc const-xs.inc


# --- MakeMaker cflags section:

CCFLAGS = -D_REENTRANT -D_GNU_SOURCE -DTHREADS_HAVE_PIDS -DDEBIAN -fno-strict-aliasing -pipe -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
OPTIMIZE = -O2
PERLTYPE = 
MPOLLUTE = 


# --- MakeMaker const_loadlibs section:

# PDA::Pilot might depend on some other libraries:
# See ExtUtils::Liblist for details
#


# --- MakeMaker const_cccmd section:
CCCMD = $(CC) -c $(PASTHRU_INC) $(INC) \
	$(CCFLAGS) $(OPTIMIZE) \
	$(PERLTYPE) $(MPOLLUTE) $(DEFINE_VERSION) \
	$(XS_DEFINE_VERSION)

# --- MakeMaker post_constants section:


# --- MakeMaker pasthru section:

PASTHRU = LIBPERL_A="$(LIBPERL_A)"\
	LINKTYPE="$(LINKTYPE)"\
	OPTIMIZE="$(OPTIMIZE)"\
	PREFIX="$(PREFIX)"\
	PASTHRU_DEFINE="$(PASTHRU_DEFINE)"\
	PASTHRU_INC="$(PASTHRU_INC)"


# --- MakeMaker special_targets section:
.SUFFIXES : .xs .c .C .cpp .i .s .cxx .cc $(OBJ_EXT)

.PHONY: all config static dynamic test linkext manifest blibdirs clean realclean disttest distdir



# --- MakeMaker c_o section:

.c.i:
	cc -E -c $(PASTHRU_INC) $(INC) \
	$(CCFLAGS) $(OPTIMIZE) \
	$(PERLTYPE) $(MPOLLUTE) $(DEFINE_VERSION) \
	$(XS_DEFINE_VERSION) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c > $*.i

.c.s:
	$(CCCMD) -S $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c

.c$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c

.C$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.C

.cpp$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.cpp

.cxx$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.cxx

.cc$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.cc


# --- MakeMaker xs_c section:

.xs.c:
	$(XSUBPPRUN) $(XSPROTOARG) $(XSUBPPARGS) $(XSUBPP_EXTRA_ARGS) $*.xs > $*.xsc && $(MV) $*.xsc $*.c


# --- MakeMaker xs_o section:

.xs$(OBJ_EXT):
	$(XSUBPPRUN) $(XSPROTOARG) $(XSUBPPARGS) $*.xs > $*.xsc && $(MV) $*.xsc $*.c
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c


# --- MakeMaker top_targets section:
all :: pure_all manifypods
	$(NOECHO) $(NOOP)


pure_all :: config pm_to_blib subdirs linkext
	$(NOECHO) $(NOOP)

subdirs :: $(MYEXTLIB)
	$(NOECHO) $(NOOP)

config :: $(FIRST_MAKEFILE) blibdirs
	$(NOECHO) $(NOOP)

help :
	perldoc ExtUtils::MakeMaker


# --- MakeMaker blibdirs section:
blibdirs : $(INST_LIBDIR)$(DFSEP).exists $(INST_ARCHLIB)$(DFSEP).exists $(INST_AUTODIR)$(DFSEP).exists $(INST_ARCHAUTODIR)$(DFSEP).exists $(INST_BIN)$(DFSEP).exists $(INST_SCRIPT)$(DFSEP).exists $(INST_MAN1DIR)$(DFSEP).exists $(INST_MAN3DIR)$(DFSEP).exists
	$(NOECHO) $(NOOP)

# Backwards compat with 6.18 through 6.25
blibdirs.ts : blibdirs
	$(NOECHO) $(NOOP)

$(INST_LIBDIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_LIBDIR)
	$(NOECHO) $(CHMOD) 755 $(INST_LIBDIR)
	$(NOECHO) $(TOUCH) $(INST_LIBDIR)$(DFSEP).exists

$(INST_ARCHLIB)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_ARCHLIB)
	$(NOECHO) $(CHMOD) 755 $(INST_ARCHLIB)
	$(NOECHO) $(TOUCH) $(INST_ARCHLIB)$(DFSEP).exists

$(INST_AUTODIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_AUTODIR)
	$(NOECHO) $(CHMOD) 755 $(INST_AUTODIR)
	$(NOECHO) $(TOUCH) $(INST_AUTODIR)$(DFSEP).exists

$(INST_ARCHAUTODIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_ARCHAUTODIR)
	$(NOECHO) $(CHMOD) 755 $(INST_ARCHAUTODIR)
	$(NOECHO) $(TOUCH) $(INST_ARCHAUTODIR)$(DFSEP).exists

$(INST_BIN)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_BIN)
	$(NOECHO) $(CHMOD) 755 $(INST_BIN)
	$(NOECHO) $(TOUCH) $(INST_BIN)$(DFSEP).exists

$(INST_SCRIPT)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_SCRIPT)
	$(NOECHO) $(CHMOD) 755 $(INST_SCRIPT)
	$(NOECHO) $(TOUCH) $(INST_SCRIPT)$(DFSEP).exists

$(INST_MAN1DIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_MAN1DIR)
	$(NOECHO) $(CHMOD) 755 $(INST_MAN1DIR)
	$(NOECHO) $(TOUCH) $(INST_MAN1DIR)$(DFSEP).exists

$(INST_MAN3DIR)$(DFSEP).exists :: Makefile.PL

=== debian/changelog ===
pilot-link (0.12.2-9) unstable; urgency=low

  * debian/control:
   - add Xs-Vcs-Cvs: and XS-Vcs-Browser: fields
   - remove Suggests: malsync for libpisock9 since malsync is no more in
     Debian
  * use Ubuntu patches. Except for python-all-dbg which is not available in
    Debian. I am open to patches.
  * debian/man/pilot-650foto.1: manpage is missing from upstream

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 25 Mar 2007 16:00:20 +0200

pilot-link (0.12.2-8) unstable; urgency=low

  * debian/control: libpisock9 Replaces: pilot-link (<< 0.12.2-7)
    Closes: #415960 "60-libpisock.rules is contained in two packages"

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 24 Mar 2007 14:21:22 +0100

pilot-link (0.12.2-7) unstable; urgency=low

  * debian/libpisock9.docs: add documentation in libpisock9 and not just in
    pilot-link package
  * add etc/modprobe.d/libpisock9 file to blacklist the visor kernel module
    since we now use libusb with better performances
  * add etc/udev/rules.d/60-libpisock.rules to set the device to group dialout
    and group write access.
  * debian/README.debian: add a permissions chapter. Users need to be in the
    group dialout to use the device created by udev

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 22 Mar 2007 14:21:58 +0100

pilot-link (0.12.2-6) unstable; urgency=low

  * debian/rules: force installation of dump.pl & Pilot.pm. Closes: #413502:
    "libpda-pilot-perl: package is missing perl module Pilot.pm
    and files dump.pl and autosplit.ix"

 -- Ludovic Rousseau <rousseau@debian.org>  Wed,  7 Mar 2007 21:53:58 +0100

pilot-link (0.12.2-5) unstable; urgency=low

  * debian/control:
   - Build-Depends: pkg-config
   - libpisock-dev Depends: libbluetooth2-dev
   - Closes: #413051 "libpisock-dev: needs to Depend on libbluetooth2-dev"

 -- Ludovic Rousseau <rousseau@debian.org>  Fri,  2 Mar 2007 14:19:16 +0100

pilot-link (0.12.2-4) unstable; urgency=low

  * debian/patches/19_pilot-link.m4.in.dpatch: update to remove definition of
    IT_PROG_INTLTOOL. Closes: #411382: "Breaks builds of unrelated code"

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 18 Feb 2007 17:55:42 +0100

pilot-link (0.12.2-3) unstable; urgency=low

  * remove debian/po/* files: Closes: #411176: pilot-link: Please remove the
    debian/po directory

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 18 Feb 2007 13:42:56 +0100

pilot-link (0.12.2-2) unstable; urgency=low

  * debian/patches/19_pilot-link.m4.in.dpatch: correct pilot-link.m4 so that
    projects (jpilot for example) using this m4 file do not fail at autoconf

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 16 Feb 2007 15:05:29 +0100

pilot-link (0.12.2-1) unstable; urgency=low

  * New upstream release
   - Closes: #410152 "pilot-link: udev rules need updating"
  * debian/control: add Build-Depends: libbluetooth2-dev
   - add bluetooth support

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 14 Feb 2007 23:30:59 +0100

pilot-link (0.12.1-5) unstable; urgency=medium

  * urgency medium since libpisock-dev was not usable to build any package
  * libpisock-dev now depends on libusb-dev

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 22 Sep 2006 11:51:36 +0200

pilot-link (0.12.1-4) unstable; urgency=low

  * Debuild-Depends: libusb-dev. Closes: #388057 "pilot-link needs to
    Build-Depend on libusb-dev."

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 19 Sep 2006 21:14:06 +0200

pilot-link (0.12.1-3) unstable; urgency=low

  * upload to unstable
  * patch ./configure to correcty detect Python

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 19 Sep 2006 21:12:56 +0200

pilot-link (0.12.1-2) experimental; urgency=low

  * Install some missing files. Thanks to Norbert Preining for the patches

 -- Ludovic Rousseau <rousseau@debian.org>  Fri,  8 Sep 2006 21:10:38 +0200

pilot-link (0.12.1-1) experimental; urgency=low

  * New upstream release
  * Closes: #385871: "libpisock-dev: pilot-link.pc not installed in
    /usr/lib/pkgconfig"

 -- Ludovic Rousseau <rousseau@debian.org>  Tue,  5 Sep 2006 22:28:03 +0200

pilot-link (0.12.0-1) experimental; urgency=low

  * New upstream release
   - Closes: #269731 "pilot-link: pilot charset is hard-coded in
   libpisock/util.c"
   - Closes: #360963: "pilot-link: pilot-xfer ignores PILOTRATE and uses 9600
   bps"
   - Closes: #340818: "pilot-xfer.1.gz: -f: thought one could get more than
   one file"
   - Closes: #342128: "install-todo.1.gz: non standard formatting"
   - Closes: #351435: "read-todos -w not on man page"
   - Closes: #351438: "memos -p mandatory, contrary to man page"
   - Closes: #351439: "pilot-xfer: $? when memory full"
   - Closes: #375734: "install-user has no default so don't say there is"
   - Closes: #383537: "pilot-link: don't say SEE ALSO pilot-link"
   - Closes: #20782: "pilot-link suggestion"
   - Closes: #24357: "pilot-link has namespace pollution"
   - Closes: #148190: "pilot-link: Clock synchronization would be nice"
  * To avoid namespace pollution a lot of commands from pilot-link have been
    renamed from foo to pilot-foo. See
    /usr/share/doc/pilot-link/NEWS.Debian.gz file
  * (try to) use the new Python policy

 -- Ludovic Rousseau <rousseau@debian.org>  Fri,  1 Sep 2006 18:22:14 +0200

pilot-link (0.11.8-0.12.0-pre4-5) experimental; urgency=low

  * use --root instead of --home to correctly build the python-pisock package
    (files in /usr/lib/python-2.3/ instead of /usr/lib/python/)

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 23 May 2006 21:58:58 +0200

pilot-link (0.11.8-0.12.0-pre4-4) experimental; urgency=low

  * debian/control: libpisock-dev now depends on the ${Source-Version} of
    libpisock9 and libpisync0. Closes: #344762 "libpisock-dev: Should depend
    on newer version of libpisync0."
  * debian/rules: add --enable-libusb to ./configure.
    Closes: #346319 "libpisock9: Please compile with libusb support"

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 12 Jan 2006 18:28:50 +0100



=== debian/control ===
Source: pilot-link
Section: otherosfs
Build-Depends: debhelper (>= 5.0.37.2), perl (>= 5.6), libpng-dev, libreadline5-dev | libreadline-dev, dpatch, python-all-dev (>= 2.3), python-support (>= 0.3), libusb-dev, libbluetooth2-dev, pkg-config
Priority: optional
XS-Vcs-Browser: http://cvs.pilot-link.org/
Xs-Vcs-Cvs: pserver:anonymous@pilot-link.org:/cvs/pilot-link
Maintainer: Ludovic Rousseau <rousseau@debian.org>
Standards-Version: 3.7.2
XS-Python-Version: >= 2.3

Package: pilot-link
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: pilot-link-perl
Suggests: libpda-pilot-perl, libmd5-perl
Description: tools to communicate with a PalmOS PDA
 The package contains many command line programs to manipulate databases
 stored on a PalmOS PDA. For example pilot-xfer can be used to backup,
 sync, and restore databases.
 .
  Homepage: http://www.pilot-link.org/

Package: libpda-pilot-perl
Architecture: any
Section: perl
Priority: extra
Depends: ${shlibs:Depends}, ${perl:Depends}, libdigest-md5-perl, data-dumper
Replaces: pilot-link (<< 0.9.3-1), pilot-link-perl
Conflicts: pilot-link-perl
Description: Perl module to communicate with a PalmOS PDA
 This package provides the PDA::Pilot module, which provides Perl programs
 with means of communicating directly with a PalmOS device.
 .
  Homepage: http://www.pilot-link.org/

Package: python-pisock
Architecture: any
Section: python
Priority: extra
Depends: ${shlibs:Depends}, ${python:Depends}
Replaces: pilot-link (<< 0.9.3-1), pilot-link-python
XB-Python-Version: ${python:Versions}
Conflicts: pilot-link-python
Description: Python module to communicate with PalmOS PDA
 This package provides the pisock module, which provides Python programs
 with means of communicating directly with a PalmOS device.
 .
  Homepage: http://www.pilot-link.org/

Package: libpisock9
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Suggests: jpilot, pilot-link, kpilot, gnome-pilot, evolution, sylpheed-claws, sylpheed-claws-gtk2, sylpheed
Conflicts: pilot-link (<< 0.12.2-7)
Replaces: pilot-link (<< 0.12.2-7)
Description: library for communicating with a PalmOS PDA
 libpisock9 is a library used by pilot-link programs and any other
 packages that want to communicate with a PalmOS device.
 .
 See packages jpilot, pilot-link, malsync, kpilot, gnome-pilot,
 evolution if you are looking to user programs for your PDA.
 .
  Homepage: http://www.pilot-link.org/

Package: libpisync0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Suggests: gnome-pilot, evolution
Description: synchronization library for PalmOS devices
 libpisync is a library for applications to synchronize data with PalmOS
 devices.
 .
 See packages gnome-pilot and evolution if you are looking to user
 programs for your PDA.
 .
  Homepage: http://www.pilot-link.org/

Package: libpisock-dev
Architecture: any
Section: libdevel
Priority: extra
Depends: libpisock9 (= ${Source-Version}), libpisync0 (= ${Source-Version}), libncurses-dev|libncurses5-dev, libusb-dev, libbluetooth2-dev
Conflicts: libpisock3 (<= 0.9.5-pre5-1.1), pilot-link (<= 0.11.3-4)
Replaces: pilot-link (<= 0.11.3-4)
Description: development files for communicating with a PalmOS PDA
 libpisock-dev contains static libraries, header files and dynamic
 libraries for compiling applications that communicate with a PalmOS
 device.
 .
 You will need this package if you want to compile a C or C++ using
 libpisock9 or libpisync0.
 .
  Homepage: http://www.pilot-link.org/

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

libpkg = libpisock9
#cxxlibpkg = libpisock++0c2
cxxlibpkg =
synclibpkg = libpisync0
devpkg = libpisock-dev
runpkg = pilot-link
perlpkg = libpda-pilot-perl
pythonpkg = python-pisock

CFLAGS += -O2 -pthread -D_REENTRANT
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

#ifeq (hppa,$(DEB_BUILD_ARCH))
#	CFLAGS += -ffunction-sections
#endif

pwd := $(shell pwd)
ifndef PERL
PERL = /usr/bin/perl
endif
archlib = $(shell $(PERL) -MConfig -e 'print $$Config{installvendorarch}')

PYVERS=$(shell pyversions -r)

# dpatch
include /usr/share/dpatch/dpatch.make

build: build-stamp build-python-stamp
build-stamp: patch-stamp
	dh_testdir
	# Add here commands to compile the package.
	./configure --prefix=/usr \
		--enable-conduits --enable-libusb \
		--with-perl --with-python --with-libpng \
		--with-libiconv \
		CC="$(CC)" CFLAGS="$(CFLAGS)"

	# force installation of dump.pl & Pilot.pm (#413502)
	touch bindings/Perl/dump.pl

	$(MAKE)
	touch build-stamp

build-python-stamp: build-stamp
	dh_testdir
	set -e; \
	for python in $(PYVERS); do \
		$(MAKE) -C bindings python-build PYTHON=$$python; \
	done
	touch build-stamp

clean: clean1 unpatch
clean1:
	dh_testdir
	rm -f build-stamp pre-binary-stamp
	if [ -e Makefile ] ; then $(MAKE) distclean; fi
	rm -f config.log changelog libtool
	rm -rf bindings/Python/build
	dh_clean

pre-binary: build pre-binary-stamp
pre-binary-stamp:
	dh_clean
	dh_installdirs
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
	set -e; \
	cd bindings/Python; \
	for python in $(PYVERS); do \
		$$python setup.py install --root=$(CURDIR)/debian/tmp; \
	done

	# mini patches
	cp ChangeLog changelog
	chmod +x debian/tmp/usr/lib/perl5/PDA/dump.pl

	# blacklist visor module
	mkdir -p debian/tmp/etc/modprobe.d
	echo "blacklist visor" > debian/tmp/etc/modprobe.d/libpisock9

	# install the udev rule file to get the correct file group and permissions 
	mkdir -p debian/tmp/etc/udev/rules.d
	mv debian/tmp/usr/share/pilot-link/udev/60-libpisock.rules  debian/tmp/etc/udev/libpisock9.rules
	ln -s ../libpisock9.rules debian/tmp/etc/udev/rules.d/60-libpisock.rules

	dh_install --list-missing --sourcedir=debian/tmp
	touch pre-binary-stamp

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build $(libpkg) $(cxxlibpkg) $(devpkg) $(perlpkg) $(runpkg) $(synclibpkg) $(pythonpkg)

$(libpkg): build pre-binary
	echo $@
	dh_testroot
	dh_installdirs -p $@
	dh_installdocs -p $@
	dh_installchangelogs -p $@
	dh_strip -p $@
	dh_compress -p $@
	dh_fixperms -p $@
	dh_makeshlibs -p $@
	dh_installdeb -p $@
	dh_shlibdeps -p $@
	dh_gencontrol -p $@
	dh_md5sums -p $@
	dh_builddeb -p $@

$(cxxlibpkg): build pre-binary
	echo $@
	dh_installdirs -p $@
	dh_installdocs -p $@
	dh_installchangelogs -p $@
	dh_strip -p $@
	dh_compress -p $@
	dh_fixperms -p $@
	dh_makeshlibs -p $@
	dh_installdeb -p $@
	dh_shlibdeps -p $@ -l debian/$(libpkg)/usr/lib/
	dh_gencontrol -p $@
	dh_md5sums -p $@
	dh_builddeb -p $@

$(synclibpkg): build pre-binary
	echo $@
	dh_installdirs -p $@
	dh_installdocs -p $@
	dh_installchangelogs -p $@
	dh_strip -p $@
	dh_compress -p $@
	dh_fixperms -p $@
	dh_makeshlibs -p $@
	dh_installdeb -p $@
	dh_shlibdeps -p $@  -l debian/$(libpkg)/usr/lib
	dh_gencontrol -p $@
	dh_md5sums -p $@
	dh_builddeb -p $@
	
$(devpkg): build pre-binary
	echo $@
	dh_installdirs -p $@
	dh_installdocs -p $@
	dh_installchangelogs -p $@
	#cp debian/$@/usr/include/*.h* debian/$@/usr/include/libpisock/
	dh_strip -p $@
	dh_compress -p $@
	dh_fixperms -p $@
	dh_makeshlibs -p $@
	dh_installdeb -p $@
	dh_shlibdeps -p $@
	dh_gencontrol -p $@
	dh_md5sums -p $@
	dh_builddeb -p $@

$(runpkg): build pre-binary
	echo $@
	dh_installdirs -p $@
	dh_installdocs -p $@
	dh_installexamples -p $@
	dh_installmenu -p $@
	dh_installman -p $@
	dh_installchangelogs -p $@
	dh_installdebconf -p $@
	dh_strip -p $@
	dh_compress -p $@
	dh_fixperms -p $@
	dh_installdeb -p $@
	dh_shlibdeps -p $@ -l debian/$(libpkg)/usr/lib
	dh_gencontrol -p $@
	dh_md5sums -p $@
	dh_builddeb -p $@

$(perlpkg): build pre-binary
	echo $@
	dh_installdirs -p $@
	dh_installchangelogs -p $@
	dh_installdocs -p $@
	dh_installexamples -p $@
	dh_strip -p $@
	dh_compress -p $@
	dh_fixperms -p $@
	dh_installdeb -p $@
	dh_perl -p $@
	dh_shlibdeps -p $@ -l debian/$(libpkg)/usr/lib
	dh_gencontrol -p $@ -- -Tdebian/libpda-pilot-perl.substvars.debhelper -Tdebian/libpda-pilot-perl.substvars
	dh_md5sums -p $@
	dh_builddeb -p $@

$(pythonpkg): build pre-binary
	echo $@
	dh_installdirs -p $@
	dh_installchangelogs -p $@
	dh_installdocs -p $@
	dh_strip -p $@
	dh_compress -p $@
	dh_fixperms -p $@
	dh_makeshlibs -p $@
	dh_pysupport -p $@
	dh_installdeb -p $@
	dh_shlibdeps -p $@ -l debian/$(libpkg)/usr/lib
	dh_gencontrol -p $@
	dh_md5sums -p $@
	dh_builddeb -p $@

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary patch unpatch clean1 \
	$(libpkg) $(devpkg) $(runpkg) $(perlpkg) $(pythonpkg) pre-binary
